<?php
date_default_timezone_set('America/Bogota');
include('../config/database.php');
$metodo=$_SERVER['REQUEST_METHOD'];

//Consultar todos
if($metodo=='GET'){
    //Si se mando un id quiere decir que se hara una busqueda individualfecha_asignacion >='$fecha'
    if(isset($_GET['guias'])){
        $date = new DateTime(); 
        $fecha = $date->modify("-1 day")->format("Y-m-d");
        
        $query = mysqli_query($mysqli, "SELECT * FROM guias WHERE fecha_asignacion >='2023-10-25 00:00:18'");
        if(!$query){
            die('Error en la consulta'. mysqli_error($mysqli));
        }

        $json = array(); 
        while($row = mysqli_fetch_array($query)){
            $nro_guia = $row['codigo_guia'];
            $queryf = mysqli_query($mysqli, "SELECT * FROM fotos_guia WHERE nro_guia='$nro_guia'");
            $rowf = mysqli_fetch_array($queryf); $foto1 = $rowf['foto1'];
            $json[] = array(
                'guia' => $row['codigo_guia'],
                'cliente' => $row['nombre_cliente'],
                'cod_cliente' => $row['codigo_cliente'],
                'pedido' => $row['pedido_cliente'],
                'direccion' => $row['direccion_destino'],
                'detalles' => $row['detalles_guia'],
                'fecha_registro' => $row['fecha_registro'],
                'fecha_asigna' => $row['fecha_asignacion'],
                'estado' => $row['estado_guia'],
                'subestado' => $row['subestado_guia'],
                'fecha_entrega' => $row['fecha_entrega'],
                'foto1' => $foto1,
                'id' => $row['id_guia']
            );
        }
        $jsonstring = json_encode($json);
        echo $jsonstring; 
    
    }

}